<?php

/**
 * @file
 * Contains \Drupal\defaultcontent\Import.
 */

namespace Drupal\defaultcontent;

use Drupal\defaultcontent\Entity\DefaultContent;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Url;

/**
 * Converts a node to a config entity
 */
class Import extends ControllerBase {
  
  public function import($id) {
    $config_entity = DefaultContent::load($id);
    defaultcontent_import_one($config_entity);
    drupal_set_message('Imported and deleted '.$id);
    return $this->redirect('entity.default_node.collection');
  }
  
  
  public function import_all() {
    defaultcontent_import_all();
    //this isn't the right route name for admin/content
    return $this->redirect('system.admin_content');
  }

}
